Botan 1.10.17

Namespaces | Functions
mp_asmi.h File Reference
`#include <botan/internal/mp_asm.h>`

Go to the source code of this file.

## Namespaces
| Botan

## Functions
void | Botan::word3_muladd (word *w2, word *w1, word *w0, word a, word b)
void | Botan::word3_muladd_2 (word *w2, word *w1, word *w0, word a, word b)
word | Botan::word8_add2 (word x[8], const word y[8], word carry)
word | Botan::word8_add3 (word z[8], const word x[8], const word y[8], word carry)
word | Botan::word8_linmul2 (word x[8], word y, word carry)
word | Botan::word8_linmul3 (word z[8], const word x[8], word y, word carry)
word | Botan::word8_madd3 (word z[8], const word x[8], word y, word carry)
word | Botan::word8_sub2 (word x[8], const word y[8], word carry)
word | Botan::word8_sub2_rev (word x[8], const word y[8], word carry)
word | Botan::word8_sub3 (word z[8], const word x[8], const word y[8], word carry)
word | Botan::word_add (word x, word y, word *carry)
word | Botan::word_sub (word x, word y, word *carry)